declare type Ok = "OK";
declare const Ok = "OK";
declare type Options = {
    db?: number;
    auth?: string;
};
declare class Commander {
    private readonly agent;
    private db?;
    private auth?;
    constructor(url: string, options?: Options);
    private makeCommand;
    call(url: string): Promise<any>;
    set(key: string, value: string): Promise<Ok | null>;
    get(key: string): Promise<string | null>;
    del(key: string): Promise<number | null>;
    exists(key: string): Promise<number | null>;
    sadd(key: string, value: string): Promise<number | null>;
    srem(key: string, value: string): Promise<number | null>;
    smember(key: string): Promise<null | any[]>;
    hset(name: string, key: string | number, value: any): Promise<number | null>;
    hget(name: string, key: string): Promise<any | null>;
    hgetall(name: string): Promise<any | null>;
    hmset(name: string, key: string, value: any): Promise<any[] | null>;
    hmget(name: string, key: string): Promise<any[] | null>;
    hdel(name: string, key: string): Promise<number | null>;
    sismember(name: string, key: string): Promise<number | null>;
    expire(key: string, value: number): Promise<number | null>;
    keys(key: string): Promise<any[] | null>;
    mget(keys: string[]): Promise<any[]>;
    flushdb(): Promise<any[] | null>;
    flushall(): Promise<any[] | null>;
    ping(): Promise<any | null>;
    publish(channel: string, message: string): Promise<any | null>;
    unsubscribe(channel: string): Promise<void>;
}
export default Commander;
